# Class TCefMediaRouteCreateCallbackOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMediaRouteCreateCallback

## Declaration

`type TCefMediaRouteCreateCallbackOwn = class(TCefBaseRefCountedOwn, ICefMediaRouteCreateCallback)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefMediaRouteCreateCallbackOwn

## Overview

### Methods

| `procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); virtual; abstract;`
| `constructor Create; virtual;`

## Description

### Methods

| `procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute); virtual; abstract;`
This item has no description. Showing description inherited from ICefMediaRouteCreateCallback.OnMediaRouteCreateFinished. Method that will be executed when the route creation has finished. |result| will be CEF_MRCR_OK if the route creation succeeded. |error| will be a description of the error if the route creation failed. |route| is the resulting route, or NULL if the route creation failed.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.